import { EventEmitter } from '../../stencil-public-runtime';
import '@elifent/paper-datepicker/paper-datepicker.js';
import '@ui5/webcomponents/dist/Calendar.js';
import '@ui5/webcomponents/dist/CalendarDate.js';
import '@ui5/webcomponents/dist/DatePicker.js';
import '@ui5/webcomponents/dist/Assets.js';
import { StateOfReminder } from '../../utils/utils';
export declare class AddonReminderBody {
  durationArray: string[];
  hoursArray: string[];
  minutesArray: string[];
  sr: ShadowRoot;
  addonReminderInfoFromParent: {
    name: string;
    description: string;
    hour: string;
    minute: string;
    duration: string;
    date: string;
  };
  active1: boolean;
  active2: boolean;
  active3: boolean;
  reminderDoneValue: boolean;
  reminderDone: boolean;
  el: HTMLElement;
  state: StateOfReminder;
  status: StateOfReminder;
  descriptionText: string;
  addonReminderInfoFromBodyEmitter: EventEmitter<{
    description: string;
    hour: string;
    minute: string;
    duration: string;
    date: string;
  }>;
  hours: string;
  minutes: string;
  date: string;
  duration: string;
  componentWillRender(): void;
  connectedCallback(): void;
  componentShouldUpdate(): void;
  takeCalendarDate(ev: any): void;
  takeTextFromInput(value: any): void;
  calculateEndDate(hours: string, minutes: string, duration: string): string;
  getHoursAndMinutes(ev: any): void;
  catchOpenFromInputSelect(ev: any): void;
  handleClickOutsideInputSelect(event: any): void;
  getDates(ev: any): void;
  render(): any;
}
